Show / Hide Table of Contents

# Struct hkaAnimationContainer

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaAnimationContainer

### Fields

| Improve this Doc View Source

#### Animations

##### Declaration

    public hkArray<hkRefPtr<hkaAnimation>> Animations

##### Field Value

Type | Description
--- | ---
hkArray<hkRefPtr<hkaAnimation>> |

| Improve this Doc View Source

#### Bindings

##### Declaration

    public hkArray<hkRefPtr<hkaAnimationBinding>> Bindings

##### Field Value

Type | Description
--- | ---
hkArray<hkRefPtr<hkaAnimationBinding>> |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### Skeletons

##### Declaration

    public hkArray<hkRefPtr<hkaSkeleton>> Skeletons

##### Field Value

Type | Description
--- | ---
hkArray<hkRefPtr<hkaSkeleton>> |